%define upstream_name    Data-Random
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Data::Random - Perl module to generate random data
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Time::Piece) >= 1.160.0
BuildRequires: perl(YAML::Tiny)
BuildArch:  noarch

%{?perl_default_filter}

%description
A module used to generate random data.  Useful mostly for test
programs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
%make_install

%files
%doc Changes META.json MYMETA.yml README
%dir %{perl_vendorlib}/Data/Random
%{perl_vendorlib}/Data/Random.pm
%{perl_vendorlib}/Data/Random/*
%{_mandir}/*/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.120.0-3.mga6
+ Revision: 1024832
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.120.0-2.mga6
+ Revision: 967893
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.120.0-1.mga6
+ Revision: 850568
- update to 0.12

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-4.mga5
+ Revision: 743137
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.110.0-3.mga5
+ Revision: 735465
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-2.mga5
+ Revision: 684230
- Mageia 5 Mass Rebuild

* Sun Feb 09 2014 sander85 <sander85> 0.110.0-1.mga5
+ Revision: 587295
- update to 0.11

* Sat Oct 19 2013 umeabot <umeabot> 0.90.0-2.mga4
+ Revision: 534780
- Mageia 4 Mass Rebuild

* Sat Sep 14 2013 sander85 <sander85> 0.90.0-1.mga4
+ Revision: 478850
- update to 0.09

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 365410
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 26 2012 jquelin <jquelin> 0.80.0-1.mga3
+ Revision: 297968
- update to 0.08

* Tue Jun 05 2012 jquelin <jquelin> 0.70.0-1.mga3
+ Revision: 254801
- update to 0.07

* Tue Nov 15 2011 jquelin <jquelin> 0.60.0-1.mga2
+ Revision: 167985
- update to 0.06

* Thu Jan 27 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 41941
- mageia rebuild
- imported package perl-Data-Random


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.50.0-1mdv2010.0
+ Revision: 403057
- rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.05-4mdv2009.0
+ Revision: 256476
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.05-2mdv2008.1
+ Revision: 135831
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-2mdv2008.0
+ Revision: 86327
- rebuild


* Wed Sep 13 2006 Oden Eriksson <oeriksson@mandriva.com> 0.05-1mdv2007.0
- rebuild

* Fri Jul 15 2005 Oden Eriksson <oeriksson@mandriva.com> 0.05-1mdk
- initial Mandriva package

